Deduplication does not work in new taxon dialog
Description

When creating a new taxon including nomenclatural reference via new taxon dialog the data is saved but it seems not to be
deduplicated.

It was tested in caryo_spp where deduplication did not take place in new taxon dialog while it took place in name editor.

An example was probably something like "Dianthus fruticosus subsp. amorginus Runemark in Bot. Not. 133(4): 485. 1980" where
"Bot. Not. 133(4). 1980" was already in the database (with many duplicates).

Associated revisions

Revision 2e5addbf - 12/20/2018 03:17 PM - Katja Luther

fix #7941: use the same parser method in new taxonnode wizard as in name editor

History

#1 - 12/20/2018 03:18 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|2e5addbf1470b86b929e7e4cadfc0f0eebb29116.

#2 - 12/20/2018 03:19 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 0

this should be fixed with the changing the parsing method to the same as in name editor. please review.

#3 - 01/27/2019 02:13 PM - Andreas Miiller

- Description updated

#4 - 01/27/2019 02:28 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 90

It seems to work as expected. Only | wonder why parseAndResolveDuplicates is not a static function while parseReferencedName is static in the
ParserHandler. Deduplication does not seem to be instance specific (e.g. link to duplication resolver is stored in the instance) therefore it could be
static which simplifies the code. (but a very minor issue).

Feel free to close ticket.

#5 - 01/29/2019 01:37 PM - Katja Luther

- Status changed from Feedback to Closed
